<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:dlf-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.1//EN"
  "http://www.logreport.org/LDSML/1.1/ldsml.dtd">
<lire:dlf-schema superservice="dialup" timestamp="time"
                 xmlns:lire="http://www.logreport.org/LDSML/">

 <lire:title>DLF Schema for Dialup service</lire:title>

 <lire:description>
  <para>The <type>dialup</type> DLF schema represents each connection
   attempt with one DLF record.
  </para>
 </lire:description>

 <lire:field name="time" type="timestamp" label="Timestamp">
  <lire:description>
   <para>The time at which the dial up connection started.</para>
  </lire:description>
 </lire:field>

 <lire:field name="local_number" type="string" label="Local Number">
  <lire:description>
   <para>Telephone number of the local telephone.</para>
  </lire:description>
 </lire:field>

 <lire:field name="telephone_number" type="string" label="Remote Number">
  <lire:description>
   <para>Telephone number which is being called.</para>
  </lire:description>
 </lire:field>

 <lire:field name="connection_time" type="duration">
  <lire:description>
   <para>The duration of the dial up connection.</para>
  </lire:description>
 </lire:field>

 <lire:field name="direction" type="string" label="Direction">
  <lire:description>
   <para>Direction of the connection. <literal>Inbound</literal>
         connections are those in which is machine on which the log is
         recorded is called, while in <literal>outbound</literal>
         connections the machine makes the call.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="connection_type" type="string" label="Connection Type">
  <lire:description>
   <para>The type of the connection: <literal>speech</literal>
         or <literal>data</literal>.</para>
  </lire:description>
 </lire:field>

 <lire:field name="connect_status" type="string" label="Connect Status">
  <lire:description>
   <para>The status of the connection: 
         <literal>busy</literal>,
         <literal>ring</literal>,
         <literal>failed</literal> or
         <literal>connected</literal>.
         A failed connection happens when the dialed telephone
         number does not exist (is unallocated).
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="hangup_status" type="string" label="Hangup Status">
  <lire:description>
   <para>The status of the connection:
         <literal>no_answer</literal>,
         <literal>unallocated</literal> or
         <literal>normal</literal>.
         An unallocated telephone number is a number that does
         not exist.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="cost" type="number" label="Cost">
  <lire:description>
   <para>The total cost of the dial up connection.</para>
  </lire:description>
 </lire:field>

 <lire:field name="cost_currency" type="string" label="Currency">
  <lire:description>
   <para>The currency in which the cost is expressed.</para>
  </lire:description>
 </lire:field>

</lire:dlf-schema>
